
package com.tmerclub.cloud.delivery.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 运费项和运费城市关联信息VO
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:01
 */
public class TranscityVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long transcityId;

    @Schema(description = "运费项id")
    private Long transfeeId;

    @Schema(description = "城市id")
    private Long cityId;

    public Long getTranscityId() {
        return transcityId;
    }

    public void setTranscityId(Long transcityId) {
        this.transcityId = transcityId;
    }

    public Long getTransfeeId() {
        return transfeeId;
    }

    public void setTransfeeId(Long transfeeId) {
        this.transfeeId = transfeeId;
    }

    public Long getCityId() {
        return cityId;
    }

    public void setCityId(Long cityId) {
        this.cityId = cityId;
    }

    @Override
    public String toString() {
        return "TranscityVO{" +
                "transcityId=" + transcityId +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",transfeeId=" + transfeeId +
                ",cityId=" + cityId +
                '}';
    }
}
